Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## geomerative
Class RSVG

    java.lang.Object
      geomerative.RSVG

    public class RSVG

extends java.lang.Object

Constructor Summary
`RSVG()`

Method Summary
`void` | `draw(java.lang.String filename)`
`void` | `draw(java.lang.String filename, processing.core.PApplet p)`
`void` | `draw(java.lang.String filename, processing.core.PGraphics g)`
`RShape` | `elemToCircle(processing.xml.XMLElement elem)`
`RShape` | `elemToCompositeShape(processing.xml.XMLElement elem)`
`RShape` | `elemToEllipse(processing.xml.XMLElement elem)`
`RGroup` | `elemToGroup(processing.xml.XMLElement elem)`
`RShape` | `elemToLine(processing.xml.XMLElement elem)`
`RShape` | `elemToPolygon(processing.xml.XMLElement elem)`
`RShape` | `elemToPolyline(processing.xml.XMLElement elem)`
`RShape` | `elemToRect(processing.xml.XMLElement elem)`
`RShape` | `elemToShape(processing.xml.XMLElement elem)`
`java.lang.String` | `fromGroup(RGroup group)`
`java.lang.String` | `fromShape(RShape shape)`
`java.lang.String` | `groupToString(RGroup grp)`
`java.lang.String` | `polygonToString(RPolygon poly)`
`void` | `saveGroup(java.lang.String filename, RGroup grp)`
`void` | `saveShape(java.lang.String filename, RShape shp)`
`java.lang.String` | `shapeToString(RShape shp)`
`java.lang.String` | `styleToString(RStyle style)`
`RGroup` | `toGroup(java.lang.String filename)`
`RMesh` | `toMesh(java.lang.String filename)`
`RPolygon` | `toPolygon(java.lang.String filename)`
`RShape` | `toShape(java.lang.String filename)`
`float` | `unitsToPixels(java.lang.String units, float originalPxSize)`
`float` | `unitsToPixels(java.lang.String units, float originalPxSize, float dpi)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RSVG

    public RSVG()

Method Detail

### draw

    public void draw(java.lang.String filename,
                     processing.core.PGraphics g)

### draw

    public void draw(java.lang.String filename,
                     processing.core.PApplet p)

### draw

    public void draw(java.lang.String filename)

### saveShape

    public void saveShape(java.lang.String filename,
                          RShape shp)

### fromShape

    public java.lang.String fromShape(RShape shape)

### saveGroup

    public void saveGroup(java.lang.String filename,
                          RGroup grp)

### fromGroup

    public java.lang.String fromGroup(RGroup group)

### toGroup

    public RGroup toGroup(java.lang.String filename)

### unitsToPixels

    public float unitsToPixels(java.lang.String units,
                               float originalPxSize)

### unitsToPixels

    public float unitsToPixels(java.lang.String units,
                               float originalPxSize,
                               float dpi)

### toShape

    public RShape toShape(java.lang.String filename)

### toPolygon

    public RPolygon toPolygon(java.lang.String filename)

### toMesh

    public RMesh toMesh(java.lang.String filename)

### groupToString

    public java.lang.String groupToString(RGroup grp)

### polygonToString

    public java.lang.String polygonToString(RPolygon poly)

### shapeToString

    public java.lang.String shapeToString(RShape shp)

### styleToString

    public java.lang.String styleToString(RStyle style)

### elemToGroup

    public RGroup elemToGroup(processing.xml.XMLElement elem)

### elemToCompositeShape

    public RShape elemToCompositeShape(processing.xml.XMLElement elem)

### elemToPolyline

    public RShape elemToPolyline(processing.xml.XMLElement elem)

### elemToPolygon

    public RShape elemToPolygon(processing.xml.XMLElement elem)

### elemToRect

    public RShape elemToRect(processing.xml.XMLElement elem)

### elemToLine

    public RShape elemToLine(processing.xml.XMLElement elem)

### elemToEllipse

    public RShape elemToEllipse(processing.xml.XMLElement elem)

### elemToCircle

    public RShape elemToCircle(processing.xml.XMLElement elem)

### elemToShape

    public RShape elemToShape(processing.xml.XMLElement elem)

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Geomerative by Ricard Marxer, http://www.ricardmarxer.com/geomerative/